Bug 66606 - Unable to connect Proxy to Satellite Securely
Unable to connect Proxy to Satellite Securely
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
high Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-12 12:35 EDT by Matt Jamison
Modified: 2007-07-31 15:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-03 11:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback (2.83 KB, text/plain)
2002-08-28 17:14 EDT, Josef Komenda
no flags Details

  None (edit)
Description Josef Komenda 2002-06-12 12:35:29 EDT
Description of Problem: Can rhn_register a proxy to a satellite (in this case,
rhnproxy01.devel.redhat.com to satellite.webdev-colo.redhat.com) but not when
SSL enabled. Have generated and tested the ssl and ca rpms from:
 - client->satellite
 - client->proxy
Comment 1 Todd Warner 2002-06-12 17:35:04 EDT
rhn_register does not currently include sslCACert configurability. This needs
to be addressed ASAP to satisfy the needs of proxy/satellite customers.
Comment 2 Adrian Likins 2002-06-20 14:43:54 EDT
working on it... might be a week or two, satinstaller
stuff keeps pulling me back in
Comment 3 Josef Komenda 2002-06-25 11:27:21 EDT
This is *the* big blocking bug right now - once this is done I can start final QA.
Comment 4 Adrian Likins 2002-06-25 16:30:53 EDT
It's going to be a while before that package hits the public.
(needs to go though a errata process)

There are various old and new versions of rhn_register with
that fix it floating around in the errata trees. Putting
that version on the satellite cd is the quickest fix.

Comment 5 Josef Komenda 2002-08-23 12:55:11 EDT
The new version of rhn_register is currently in testing.
Comment 6 Josef Komenda 2002-08-27 17:29:29 EDT
Errata testing of rhn_register-2.8.25 for i386/7.3 complete. Able to register a
client box to a satellite securely.
Comment 7 Josef Komenda 2002-08-28 17:13:30 EDT
Errata testing of rhn_register-2.8.26 for i386/7.3 complete.
Errata testing of rhn_register-2.8.26 for i386/7.2 complete.

Upon trying to connect my proxy to the satellite for testing, the activate proxy
button generated a 500 error, attached.
Comment 8 Josef Komenda 2002-08-28 17:14:03 EDT
Created attachment 73607 [details]
Traceback
Comment 9 Josef Komenda 2002-08-29 19:15:49 EDT
Errata testing of rhn_register-2.8.26 for i386/7.1 complete.
Errata testing of rhn_register-2.8.26 for alpha/7.1 complete.
Errata testing of rhn_register-2.8.26 for i386/7.0 complete.
Errata testing of rhn_register-2.8.26 for alpha/7.0 complete.
Comment 10 Josef Komenda 2002-08-30 15:27:14 EDT
Errata testing of rhn_register-2.8.26 for i386/2.1AS complete.
Comment 11 Josef Komenda 2002-08-30 16:52:24 EDT
Errata testing of rhn_register-2.8.26 for ia64/7.1 complete.
Comment 12 Josef Komenda 2002-08-30 17:47:07 EDT
Errata testing of rhn_register-2.8.26 for ia64/7.2 complete.
Comment 13 Josef Komenda 2002-08-30 19:21:22 EDT
Errata testing of rhn_register-2.8.26 for i386/6.2 complete.
Comment 14 Josef Komenda 2002-09-03 11:48:27 EDT
Per gdk, this completes the rhn_register testing family. jkt will run through
up2date and then the errata will be done. Bck to alikins to update the errata on
porkchop.
Comment 15 Josef Komenda 2002-10-11 14:23:45 EDT
The up2date and rhn_register errata were released on 10/10/02. Closing.

Note You need to log in before you can comment on or make changes to this bug.